<?php

include 'fieldmap.php';    // Filed Mapping associative arrays
include 'config.php';      // Configuration
include 'mapping.php';     // Mapping callabakcs
include 'db.php';          // DB Object manipulation class

$config['maps'] = $configMaps;
$migration_step = $_GET['step'];

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Frameset//EN">
<html>
<head>
    <title>Bugzilla To Mantis</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
</head>
<body>
    <h1>Converting Bugzilla To Mantis DB</h1>
    <h2>Step <?= $migration_step ?></h2>
    <table>
    
<?php 
// Conect DB
$DB = new Bz2Mantis($config);

switch ($migration_step) {
    case 0:
        $DB->mapTable('profiles','user');
        break;
    case 1:
        $DB->mapTable('products','project');
        $DB->mapTable('components','component2Project');
        break;
    case 2:
        $DB->mapTable('versions','version');
        $DB->mapTable('flagtypes','tag');
        $DB->mapTable('flags','bugtag');
        break;
    case 3:
        $DB->mapTable('bugs','bug');
        break;
    case 4:
        $DB->mapTable('bugs_fulltext','bugText');
        break;
    case 5:
        $DB->mapTable('bugs_activity','bugActivity');
        break;
    case 6:
        $DB->mapTable('cc','ccMonitorBug');
        break;
    case 7:
        $DB->mapTable('attachments','files');
        $DB->mapTable('attach_data','fileData',true);
        break;
    case 8:
        $DB->mapTable('dependencies','relationship');
        $DB->mapTable('duplicates','duplicates');
        $DB->mapTable('longdescs','note');
        break;
}

$DB->finish();

$migration_step++;
?>
    </table>
<?php if ($migration_step > 8) { ?>
    <h2>FINISHED</h2>
<?php } else  { ?>
    <form>
        <input type="hidden" name="step" value="<?= $migration_step ?>" />
        <input type="submit" value="Next" />
    </form>
<?php } ?>
</body>
</html>
