<?php

/**
 * 
 * 10:none,20:low,30:normal,40:high,50:urgent,60:immediate
 */
$prioritymap = array(
    'Urgent'    => 60,
    'Major'     => 50,
    'Normal'    => 40,
    'Minor'     => 30,
    'Todo'      => 20,
    'Plan'      => 10
);

/**
 * 10:feature,20:trivial,30:text,40:tweak,50:minor,60:major,70:crash,80:block
 */
$severitymap = array(
    'critical'      => 70,
    'blocker'       => 80,
    'major'         => 60,
    'normal'        => 50,
    'minor'         => 40,
    'trivial'       => 20,
    'enhancement'   => 10
);

/**
 * 10:new,20:feedback,30:acknowledged,40:confirmed,50:assigned,80:resolved,90:closed
 */
$statusmap = array(
    'UNCONFIRMED'    => 10,
    'NEW'            => 10,
    'ASSIGNED'       => 50,
    'REOPENED'       => 20,
    'RESOLVED'       => 80,
    'VERIFIED'       => 40,
    'CLOSED'         => 90
);

/**
 * 10:open,20:fixed,30:reopened,40:unable to reproduce,50:not fixable,60:duplicate,70:no change required,80:suspended,90:won\'t fix'
 */
$resolutionmap = array(
    'FIXED'          => 20,
    'INVALID'        => 50,
    'WONTFIX'        => 90,
    'LATER'          => 80,
    'REMIND'         => 40,
    'DUPLICATE'      => 60,
    'WORKSFORME'     => 70,
    'MOVED'          => 30,
    'WAIT'           => 80,
    'OPEN'           => 10    // Hack, Bugzilla leaves empty
);


$fieldmap = array(
    'assigned_to'                => 'handler_id',
    'bug_group'                  => 'view_state',
    'bug_severity'               => 'severity',
    'bug_status'                 => 'status',
    'classification'             => 'category',
    'component'                  => 'project_id',
    'creation_ts'                => 'date_submitted',
    'delta_ts'                   => 'last_updated',
    'longdesc'                   => 'description',
    'longdescs.isprivate'        => 'description',
    'op_sys'                     => 'os',
    'priority'                   => 'priority',
    'product'                    => 'project_id',
    'reporter'                   => 'reporter_id',
    'rep_platform'               => 'platform',
    'resolution'                 => 'resolution',
    'short_desc'                 => 'summary',
    'target_milestone'           => 'target_version',
    'version'                    => 'version',
    'votes'                      => 'sponsorship_total',
);

# history constants
define( 'NORMAL_TYPE', 0 );
define( 'NEW_BUG', 1 );
define( 'BUGNOTE_ADDED', 2 );
define( 'BUGNOTE_UPDATED', 3 );
define( 'BUGNOTE_DELETED', 4 );
define( 'DESCRIPTION_UPDATED', 6 );
define( 'ADDITIONAL_INFO_UPDATED', 7 );
define( 'STEP_TO_REPRODUCE_UPDATED', 8 );
define( 'FILE_ADDED', 9 );
define( 'FILE_DELETED', 10 );
define( 'BUGNOTE_STATE_CHANGED', 11 );
define( 'BUG_MONITOR', 12 );
define( 'BUG_UNMONITOR', 13 );
define( 'BUG_DELETED', 14 );
define( 'BUG_ADD_SPONSORSHIP', 15 );
define( 'BUG_UPDATE_SPONSORSHIP', 16 );
define( 'BUG_DELETE_SPONSORSHIP', 17 );
define( 'BUG_ADD_RELATIONSHIP', 18 );
define( 'BUG_DEL_RELATIONSHIP', 19 );
define( 'BUG_CLONED_TO', 20 );
define( 'BUG_CREATED_FROM', 21 );
define( 'CHECKIN', 22 );
define( 'BUG_REPLACE_RELATIONSHIP', 23 );
define( 'BUG_PAID_SPONSORSHIP', 24 );
define( 'TAG_ATTACHED', 25 );
define( 'TAG_DETACHED', 26 );
define( 'TAG_RENAMED', 27 );
define( 'BUG_REVISION_DROPPED', 28 );
define( 'BUGNOTE_REVISION_DROPPED', 29 );
define( 'PLUGIN_HISTORY', 100 );

$fieldTypeMap = array(
    'attachments.isobsolete'     => FILE_DELETED,
    'cc'                         => BUG_MONITOR,
    'cclist_accessible'          => BUG_MONITOR,
    'flagtypes.name'             => TAG_RENAMED,
    'keywords'                   => TAG_ATTACHED,
    'longdesc'                   => ADDITIONAL_INFO_UPDATED,
    'longdescs.isprivate'        => ADDITIONAL_INFO_UPDATED,
    'short_desc'                 => DESCRIPTION_UPDATED,
    'votes'                      => BUG_UPDATE_SPONSORSHIP
);

// This must be declared as is
$configMaps = array(
    'priority'      => $prioritymap,
    'severity'      => $severitymap,
    'status'        => $statusmap,
    'resolution'    => $resolutionmap,
    'field'         => $fieldmap,
    'type'          => $fieldTypeMap
);

