<?php

/**
 * Escape string to be used as SQL value
 * 
 * @param String $string 
 * @return Escaped string
 */
function escapeStr($string) {
    $ret = $string;
    if (!preg_match("/^[-+]?([0-9]*\.[0-9]+|[0-9]+)$/", $string)) {
        // Non Numeric
        $ret = "'".mysql_real_escape_string($string)."'";
    }
    return $ret;
}

/**
 * Passed an associative array, returns a string from
 * key="value" to be used as INSERT INTO SET 
 * 
 * @param Assoc_array $hash
 * @return String as colname=value
 */
function buildColumnSet($hash) {
    $assings = array();
    foreach ($hash as $key=>$value) {
        $assings[] = $key."=".escapeStr($value);
    }
    return implode(", ", $assings);
}

/**
 * Convert MySQL DATETIME to Unix Timestamp
 * 
 * @param unknown_type $value
 */
function unixTime($value) {
    return (int) date("U",strtotime($value));
}

/**
 * Generate random tokens from a given length
 *
 * @param $length of the token
 */
function randomToken($length = 64) {
    $chars = "abcdefghijkmnopqrstuvwxyz0123456789";
    $token = "";
    
    srand((double)microtime()*1000000);
    $i = 0;
    while ($i <= $length) {
        $num = rand() % strlen($chars);
        $tmp = substr($chars, $num, 1);
        $token = $token . $tmp;
        $i++;
    }
    return $token;
}
